This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 174258 - help system failure - apache catalina logger not found
help system failure - apache catalina logger not found
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-26 14:30 EST by Herbert Carl Meyer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-02 16:24:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
workspace/.metadata/.log extract (7.46 KB, text/plain)
2005-11-26 14:34 EST, Herbert Carl Meyer
no flags Details

  None (edit)
Description Herbert Carl Meyer 2005-11-26 14:30:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050927 Fedora/1.0.7-2.1.fc4.nr Firefox/1.0.7

Description of problem:
workspace/.metadata/.log attached, short extract:

!ENTRY org.eclipse.ui 4 0 2005-11-26 13:54:03.929
!MESSAGE org/apache/catalina/Logger
!STACK 0
java.lang.NoClassDefFoundError: org/apache/catalina/Logger
	at java.lang.Class.getDeclaredConstructors0(Native Method)
	at java.lang.Class.privateGetDeclaredConstructors(Class.java:2328)
	at java.lang.Class.getConstructor0(Class.java:2640)
	at java.lang.Class.newInstance0(Class.java:321)
	at java.lang.Class.newInstance(Class.java:303)
	at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:162)
	at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:142)
	at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:129)
	at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:48)
	at org.eclipse.help.internal.appserver.AppserverPlugin.createWebappServer(AppserverPlugin.java:105)
	at org.eclipse.help.internal.appserver.AppserverPlugin.getAppServer(AppserverPlugin.java:40)
	at org.eclipse.help.internal.appserver.WebappManager.start(WebappManager.java:58)
	at org.eclipse.help.internal.base.BaseHelpSystem.ensureWebappRunning(BaseHelpSystem.java:245)
	at org.eclipse.help.internal.base.HelpDisplay.displayHelpURL(HelpDisplay.java:164)
	at org.eclipse.help.internal.base.HelpDisplay.displayHelp(HelpDisplay.java:54)
	at org.eclipse.help.ui.internal.DefaultHelpUI.displayHelp(DefaultHelpUI.java:126)
	at org.eclipse.ui.internal.help.WorkbenchHelpSystem.displayHelp(WorkbenchHelpSystem.java:822)
	at org.eclipse.ui.internal.actions.HelpContentsAction$1.run(HelpContentsAction.java:83)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:69)
	at org.eclipse.ui.internal.actions.HelpContentsAction.run(HelpContentsAction.java:81)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:996)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:538)
	at org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:488)
	at org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:400)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1021)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:2867)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2572)
	at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1699)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1663)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:367)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:143)
	at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:103)
	at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:226)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:376)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:163)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:585)
	at org.eclipse.core.launcher.Main.invokeFramework(Main.java:334)
	at org.eclipse.core.launcher.Main.basicRun(Main.java:278)
	at org.eclipse.core.launcher.Main.run(Main.java:973)
	at org.eclipse.core.launcher.Main.main(Main.java:948)


Version-Release number of selected component (if applicable):
M20050929-0840

How reproducible:
Always

Steps to Reproduce:
1. display help table of contents
2. pick topic in TOC
3.
  

Actual Results:  empty help window appears

Expected Results:  help topic displayed

Additional info:

attempted to tinker with help viewer options, problem is in help server. I am not sure where apache/catalina/logger is supposed to come from, I am using the JPackage nosrc JDK rpms, with the Sun 1.5.04 binary jdk.
Comment 1 Herbert Carl Meyer 2005-11-26 14:34:35 EST
Created attachment 121509 [details]
workspace/.metadata/.log extract

workbench startup error, later invocation error
Comment 2 Andrew Overholt 2005-12-02 16:24:51 EST
The logger error is actually a separate issue (bug 161150).  If I use the
upstream Eclipse SDK, I don't get anything at those topics, either.

Note You need to log in before you can comment on or make changes to this bug.